Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006744TestLinkLocalizationpublic2014-11-12 22:192014-12-31 14:22
Reportersbill 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006744: relation_destination_tcase is not localized
DescriptionI get messages that the following strings are not localized en_GB:
- relation_destination_tcase
- relation_tcase

Nothing is apparently wrong.
Steps To Reproduce1) Go to Test Spec view
2) open a test case that is linked to a requirement
TagsNo tags attached.
Database (MySQL,Postgres,etc)mySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon TPROJ-01.testproject-deep.xml [^] (1,491 bytes) 2014-11-16 11:14
xml file icon all-req (5).xml [^] (1,031 bytes) 2014-11-16 11:16
png file icon 6744.png [^] (209,483 bytes) 2014-11-17 16:21

- Relationships
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022128)
fman (administrator)
2014-11-13 09:59

please get latest code from gitorious (branch 1.9), do fresh install on sandbox, retest and provide feedback
(0022131)
sbill (reporter)
2014-11-13 13:37

I installed 1.9.13[dev] and get the same results as described in my notes
(0022166)
fman (administrator)
2014-11-16 11:00

Unfortunately I'm unable to reproduce
1. get latest code from gitorious (branch 1.9)
2. do fresh install.
3. using admin (with lang en_GB), login and
   create test project TPROJ-01, public,active, with req feature enabled
4. create test suite TS100
5. create TC-1A,TC-1B,TC-1C inside TS100
6. create Req. spec RSPEC-100
7. create RQ-01, RQ-02 inside RSPEC-100
8. assign RQ-01 to TC-1A
9. check TestLink event viewer for errors/warnings
10. access Test specification
11. on left side tree click on TC-1A, check TestLink event viewer
(0022167)
fman (administrator)
2014-11-16 11:19

Please provide detailed steps to reproduce
Tested using latest code from gitorious (branch 1.9) 20141116 12:15 CET
(0022178)
sbill (reporter)
2014-11-17 16:20
edited on: 2014-11-17 16:26

I downloaded testlink-ga-testlink-code-5768c0f8f3460ec9e58ce6c88fb97f57fd65f62e.tar.gz.

I performed the steps you documented and got the same event error. An image is attached.

Then I created a new project, cleared events, imported the two xml files attached to this issue, linked the requirement from within the test case within the test spec view and again got the same error.

Could it be something about having different environments?

(0022179)
fman (administrator)
2014-11-17 16:42

Please confirm that you have followed exactlty all steps indicated on note (0022166)
(0022180)
sbill (reporter)
2014-11-17 16:48

I re-installed again.
1. created project without req feature enabled
2. verified events
3. created a test spec, test suite, single test case
4. verified events and I get same error. So I didn't even need to have a requirement in there at all to the log message.
(0022183)
fman (administrator)
2014-11-17 19:21

https://gitorious.org/testlink-ga/testlink-code/commits/78d4f7fa07cb4b83f434cce01052e297ab964b9c [^]
(0022184)
sbill (reporter)
2014-11-17 21:35

Thanks for the quick response.
I tested the new build and it works.
(0022189)
fman (administrator)
2014-11-18 06:06

great!. Thanks for reporting

- Issue History
Date Modified Username Field Change
2014-11-12 22:19 sbill New Issue
2014-11-13 09:59 fman Note Added: 0022128
2014-11-13 13:37 sbill Note Added: 0022131
2014-11-16 11:00 fman Note Added: 0022166
2014-11-16 11:14 fman File Added: TPROJ-01.testproject-deep.xml
2014-11-16 11:16 fman File Added: all-req (5).xml
2014-11-16 11:18 fman Note View State: 0022166: public
2014-11-16 11:19 fman Note Added: 0022167
2014-11-16 11:19 fman Assigned To => fman
2014-11-16 11:19 fman Status new => feedback
2014-11-17 16:20 sbill Note Added: 0022178
2014-11-17 16:20 sbill Status feedback => assigned
2014-11-17 16:21 sbill File Added: 6744.png
2014-11-17 16:26 sbill Note Edited: 0022178 View Revisions
2014-11-17 16:42 fman Note Added: 0022179
2014-11-17 16:48 sbill Note Added: 0022180
2014-11-17 19:21 fman Note Added: 0022183
2014-11-17 19:22 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-11-17 19:22 fman Fixed in Version => 1.9.13 (2015 #1)
2014-11-17 19:22 fman Status assigned => resolved
2014-11-17 19:22 fman Resolution open => fixed
2014-11-17 19:23 fman Relationship added child of 0006609
2014-11-17 21:35 sbill Note Added: 0022184
2014-11-18 06:06 fman Note Added: 0022189
2014-12-31 14:22 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker